| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Public Member Functions | Private Attributes | List of all members
Gaudi::Parsers::IncludedFiles Class Reference

`#include <src/JobOptionsSvc/IncludedFiles.h>`

Collaboration diagram for Gaudi::Parsers::IncludedFiles:
[legend]

## Public Types
typedef std::map< std::string, Position > | Container

## Public Member Functions
bool | AddFile (std::string filename, Position from)
bool | IsIncluded (const std::string &filename) const
bool | GetPosition (const std::string &filename, const Position **pos) const

## Private Attributes
Container | container_

## Detailed Description

Definition at line 16 of file IncludedFiles.h.

## Member Typedef Documentation

## ◆ Container

typedef std::map<std::string, Position> Gaudi::Parsers::IncludedFiles::Container

Definition at line 18 of file IncludedFiles.h.

## Member Function Documentation

## ◆ AddFile()

bool Gaudi::Parsers::IncludedFiles::AddFile | ( | std::string | filename,
|  | Position | from
| ) |  |

Definition at line 15 of file IncludedFiles.cpp.

15 {
16 return container_.emplace( std::move( filename ), std::move( from ) ).second;
17 }
graphanalysis.filename
string filename
Definition: graphanalysis.py:119
std::move
T move(T... args)
std::map::emplace
T emplace(T... args)
Gaudi::Parsers::IncludedFiles::container_
Container container_
Definition: IncludedFiles.h:26

## ◆ GetPosition()

bool Gaudi::Parsers::IncludedFiles::GetPosition | ( | const std::string & | filename,
|  | const Position ** | pos
| ) |  | const

Definition at line 19 of file IncludedFiles.cpp.

19 {
20 auto iter = container_.find( filename );
21 if ( iter == container_.end() ) return false;
22 *pos = &iter->second;
23 assert( pos );
24 return true;
25 }
std::map::end
T end(T... args)
graphanalysis.filename
string filename
Definition: graphanalysis.py:119
std::map::find
T find(T... args)
Gaudi::Parsers::IncludedFiles::container_
Container container_
Definition: IncludedFiles.h:26

## ◆ IsIncluded()

bool Gaudi::Parsers::IncludedFiles::IsIncluded | ( | const std::string & | filename | ) | const

Definition at line 11 of file IncludedFiles.cpp.

11 {
12 return container_.find( filename ) != container_.end();
13 }
std::map::end
T end(T... args)
graphanalysis.filename
string filename
Definition: graphanalysis.py:119
std::map::find
T find(T... args)
Gaudi::Parsers::IncludedFiles::container_
Container container_
Definition: IncludedFiles.h:26

## Member Data Documentation

## ◆ container_

Container Gaudi::Parsers::IncludedFiles::container_
| private

Definition at line 26 of file IncludedFiles.h.

The documentation for this class was generated from the following files:

- GaudiCoreSvc/src/JobOptionsSvc/IncludedFiles.h
- GaudiCoreSvc/src/JobOptionsSvc/IncludedFiles.cpp